Subject: Re: Newbie questions
From: [email-masked] (Fergus Henderson)

6 Feb 1998 17:58:58 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]
Cc: [email-masked]

On 06-Feb-1998, Francois Felix Ingrand <[email-masked]> wrote:
> 
> - I grabbed and installed less. It works fine, exept that it keeps complaining
> about the terminal being too stupid... indeed, TERM is currently set to
> dumb... is there any better possible TERM setting?

Try TERM=ansi or TERM=linux.

> - I use NT CVS 1.9. They distribute their own diff, patch, grep , etc
> utilities. Which one should I use? Last night gnu-win32 patch failed to update
> a CVS file, so I am really wondering if I should not use the cvs patch...

This is probably text-vs-binary issues.

Do you have your file system mounted with mode "text=binary"?
If so, then you will probably have problems, because
(my guess is that) NT CVS will use the usual DOS/Windows
text file convention, i.e. "text!=binary".

On the other hand, if you *don't* have your file system mounted
with mode binary, you will probably have problems,
because much of the software has not been ported to work
with mode "text!=binary".

In other words, either way, you're likely to have problems ;-)

You might have more luck compiling cvs from the source code using
gnu-win32.  Then you could get a version of cvs that uses the same
mode as cygwin32 (in particular, that uses "text=binary", if the
filesystem is mounted that way).

But I don't know whether cvs has been ported to cygwin32;
if not, you may run into other problems.

> - is it possible to get bash in a scrollable window? 

On NT, yes: just right-click on your dos window to edit
the display properties and set the scrollback length.
(Sorry if that description is a bit vague, I've been
fortunate enough to avoid Windows for a few months.)

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".